org.apache.hadoop.yarn.event

## Interface Event<TYPE extends Enum<TYPE>>

- All Known Implementing Classes:
    AbstractEvent, NodeLabelsStoreEvent, RemoveClusterNodeLabels, StoreNewClusterNodeLabels, UpdateNodeToLabelsMappingsEvent

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface Event<TYPE extends Enum<TYPE>>

  Interface defining events api.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()`
    `TYPE` | `getType()`
    `String` | `toString()`

- - ### Method Detail

    - #### getType

          TYPE getType()

    - #### getTimestamp

          long getTimestamp()

    - #### toString

          String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.